View Issue Details

IDProjectCategoryView StatusLast Update
0001741Ham Radio DeluxeBugpublic2017-05-21 23:54
ReporterWA9PIE 
Assigned ToWA9PIE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.638 
Summary0001741: Callsign lookup order is not being honored when populating the Country field in the ALE
DescriptionWhen putting a call into the ALE, Logbook attempts to fill the Country field from the Country List before looking at other sources. In many cases, the Logbook and QRZ.com have more correct and up-to-date information.

Designed/intended behavior:
- Set callsign lookup order (for this example, let’s say we’ve got Logbook, QRZ.com, and Country List)
- Enter a call… it fills the fields in that order. First it looks in Logbook, then QRZ.com, and then Country List.

So if we were looking up TO4R, the following would happen:
- It’s not in my logbook… next choice…
- It’s found in QRZ.com as Guadeloupe (DXCC=79); it fills as many fields as it can fill from this source (XML response from QRZ.com attached)
- If anything else is left (and there won’t be), it would find it in the Country List
Steps To ReproduceWhat ACTUALLY happens:
- Enter TO4R and hit tab… it first looks in the Country List for country. Since “TO” is a secondary prefix, it won’t find it. It will either (a) provide a long list of every country that begins with “T”, or it crashes Logbook. If it does not crash Logbook then…
- It pops up a list of countries… you can select one (but none of them are Guadeloupe).
- Then, with the country field filled, it then looks to fill other fields from Logbook, QRZ.com, and then Country List.
Additional InformationIt should never be trying to fill the country field without first going through the more preferred lookup choices.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing

Relationships

Activities

WA9PIE

2014-11-02 20:49

administrator  

TO4R.txt (2,023 bytes)
<?xml version="1.0"?>
<!--                                                          -->
<!-- ===================== WARNING ========================== -->
<!-- | The contents of this file must not be changed if the | -->
<!-- | program is to operate correctly. To avoid problems,  | -->
<!-- | please do NOT edit this file.                        | -->
<!-- ======================================================== -->
<!--                                                          -->
<!-- Filename ..: HRDLogbookCallsignLookup                    -->
<!-- Created ...: 11/2/2014 7:38:07 PM                        -->
<!-- Computer ..: MCARPER-PC7                                 -->
<!-- Username ..: mcarper                                     -->
<!-- Program ...: HRDLogbook.exe                              -->
<!--                                                          -->
<!-- HRDLogbookCallsignLookup.cpp line 3058                   -->
<!--                                                          -->
<HRD xml:lang="EN" Description="Callsign Lookup" Created="02-Nov-2014 19:38">
	<head>
		<Lookup Options="196610">TO4R</Lookup>
		<Callsign></Callsign>
		<Source>QRZ.com subscription interface</Source>
		<Status>OK</Status>
		<Valid>Yes</Valid>
		<Timestamp>2014-11-02 19:38:07</Timestamp>
	</head>
	<body>
		<Address1>Section Richeplaine</Address1>
		<Address2>47 Lotissement Marly</Address2>
		<Callsign>TO4R</Callsign>
		<Class>2</Class>
		<Country>Guadeloupe</Country>
		<cqzone>8</cqzone>
		<DXCC>79</DXCC>
		<Eqsl>1</Eqsl>
		<Expires>0000-00-00</Expires>
		<Fname>FG4KI (Phil</Fname>
		<Gridsquare>FK96ff</Gridsquare>
		<IOTA>NA-102</IOTA>
		<ituzone>11</ituzone>
		<Land>Guadeloupe</Land>
		<LastUpdate>2014-10-31 19:54:06</LastUpdate>
		<Latitude>16.236030</Latitude>
		<Locref>3</Locref>
		<Longitude>-61.534492</Longitude>
		<Mqsl>1</Mqsl>
		<Name>PERRIN)</Name>
		<QSLInfo>EQSL- LOTW - DIRECT- NO BUREAU</QSLInfo>
		<Zip>97180</Zip>
	</body>
</HRD>

TO4R.txt (2,023 bytes)

n4kit

2015-10-12 12:25

viewer   ~0000639

10/12/2015, N4KIT: I am unable to replicate this in 6.3.0.429. Steps taken:

Confirmed TO4R not in UCSDB Public or Private(deleted completely, restarted LB)
Confirmed regular country file does not contain TO4R explicitly under Guadeloupe
Confirmed TO4R not in my logbook
Lookup options set to: Logbook, QRZ Subscription, callook.info, Country List

On entering TO4R into ALE call field and <tab>, country field returns Guadeloupe. As near as I can tell, the only source that contains the correct country is QRZ.

WA9PIE

2017-03-05 16:38

administrator   ~0003086

Tested. Appears to be fixed.

Issue History

Date Modified Username Field Change
2014-11-02 20:49 WA9PIE New Issue
2014-11-02 20:49 WA9PIE File Added: TO4R.txt
2015-09-17 13:37 WA9PIE Category Logbook => Bug
2015-09-22 23:28 WA9PIE Fix Build TBD => (select)
2015-09-22 23:28 WA9PIE Report Build 6.2.72 => (select)
2015-09-22 23:28 WA9PIE Proposed Release => (select)
2015-09-22 23:28 WA9PIE Summary Bug: Callsign lookup order is not being honored when populating the Country field in the ALE => Callsign lookup order is not being honored when populating the Country field in the ALE
2015-10-12 12:25 n4kit Note Added: 0000639
2017-03-05 16:38 WA9PIE Assigned To => WA9PIE
2017-03-05 16:38 WA9PIE Status new => closed
2017-03-05 16:38 WA9PIE Resolution open => fixed
2017-03-05 16:38 WA9PIE Reported in Build (ie. 377) (select) => unkn
2017-03-05 16:38 WA9PIE Fixed in Release (select) => 6.4
2017-03-05 16:38 WA9PIE Fixed in Build (ie. 377) (select) => 633
2017-03-05 16:38 WA9PIE Note Added: 0003086
2017-03-05 22:16 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-21 23:54 WA9PIE Fixed in Version => 6.4.0.638
2017-05-21 23:54 WA9PIE Fixed in Build (ie. 377) 633 =>